%include	/usr/lib/rpm/macros.perl
Summary:	Program for efficient remote updates of backup sets
Summary(pl.UTF-8):	Program do wydajnego zdalnego uaktualniania zbiorów kopii zapasowych
Name:		rsnapshot
Version:	1.4.2
Release:	2
License:	GPL v2+
Group:		Daemons
Source0:	http://www.rsnapshot.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	860382f19e38fc649f9447397b54e442
Patch0:		bug-207.patch
Patch1:		pid.patch
URL:		http://www.rsnapshot.org/
BuildRequires:	rpm-perlprov
Requires:	rsync
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rsnapshot is an efficient backup program built on rsync.

%description -l pl.UTF-8
rsnapshot to wydajny program do wykonywania kopii zapasowych stworzony
w oparciu o rsynca.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	RSYNC=rsync
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p utils/rsnapreport.pl $RPM_BUILD_ROOT%{_bindir}

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf{.default,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/rsnapreport.pl
%attr(755,root,root) %{_bindir}/rsnapshot
%attr(755,root,root) %{_bindir}/rsnapshot-diff
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rsnapshot.conf
%{_mandir}/man1/rsnapshot-diff.1*
%{_mandir}/man1/rsnapshot.1*
%changelog
* Tue Dec 04 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rsnapshot.git;a=log;h=master

* Tue Dec 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4022bbe
- rel 2; log pid in messages

* Tue Dec 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e491cad
- include rsnapreport.pl

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f873eda
- up to 1.4.2

* Sat Oct 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 22b983b
- up to 1.4.1

* Fri Jul 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fed580c
- up to 1.4.0; patches obsoleted in this version

* Tue Mar 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 15fb5b1
- rel 6; don't delete not own lockfile if lazy option is enabled; log pid

* Wed Mar 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b38baa9
- rel 5; pod build fix

* Wed Mar 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 08a4c9f
- rel 4; upstream also broken if ssh_args in use; drop broken patches then

* Wed Mar 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e03bc6b
- rel 3; use upstream fixes instead of (broken) debian ones

* Sun Mar 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c49ad27
- rel 2; few fixes from debian

* Fri Mar 13 2009 duddits <duddits@pld-linux.org> 024d1f9
- up to 1.3.1

* Wed Mar 11 2009 Jakub Bogusz <qboosh@pld-linux.org> fc84565
- use perlprov

* Wed Mar 11 2009 Paweł Gołaszewski <blues@pld-linux.org> dde5959
- R: perl-modules

* Sun Feb 24 2008 Mariusz Mazur <mmazur@pld-linux.org> 15dc34d
- up to 1.3.0; rel 1; stbr :)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> beaa671
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6cb6312
- converted to UTF-8

* Fri Dec 23 2005 darekr <darekr@pld-linux.org> 820d051
- R: perl -> perl-base

* Wed Sep 07 2005 aredridel <aredridel@pld-linux.org> b0ac8ee
- requires DirHandle.pm, so full perl dependency

* Tue Aug 30 2005 darekr <darekr@pld-linux.org> 0c46435
- sort verify() flags; License: GPL v2

* Tue Aug 30 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> a7c018c
- updated to 1.2.3

